Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Body

application/json
name
string
required

Name of the machine user, unique within the team. At most 255 characters.

Required string length: 1 - 255
Example:

"night-shift"

team_id
string | null

Identifier of the team that owns the machine user. Defaults to your only team, if you belong to exactly one.

Minimum string length: 1
Example:

"abc1234"

api_key
CreateGridMachineUserAPIKeyRequestV1 · object | null

When set, also creates the machine user's first API key.

Response

200 - application/json
id
string
required

Stable machine user identifier. Grid usage and settings identify the machine user by this ID as its user_id.

name
string
required

Name of the machine user, unique within its team.

team_id
string
required

Identifier of the team that owns the machine user.

team_name
string
required

Name of the team that owns the machine user.

created_at
string<date-time>
required

Creation time, ISO 8601.

created_by
string | null

ID of the user who created the machine user. Null when unknown.

api_key
string | null

The first API key, returned only once. Null unless the request set api_key.